diff --git a/regtest/scripts/run b/regtest/scripts/run
index 9c489174d1c60892bd0b3bf4690efb8849422f74..7c75fa95d9028fd4b1f5f02fe4cdec8976ee5534 100755
--- a/regtest/scripts/run
+++ b/regtest/scripts/run
@@ -45,6 +45,20 @@ echo "++ Processors: $mpiprocs"
 mpi=env
 plumed=plumed
 
+root=$($plumed info --root)
+
+if test -z "$root" ; then
+  echo "ERROR: plumed executable not available"
+  exit 1
+fi
+
+cd ../../../../
+if [[ "${PWD}"/ != "$root" ]] ; then
+echo "WARNING using plumed from $root"
+fi
+cd -
+
+
 if ((mpiprocs>0)); then
 mpi="${PLUMED_MPIRUN:-mpirun} -np $mpiprocs"